libmwaw_internal.cxx File Reference
`#include <iomanip>`
`#include <string>`
`#include <sstream>`
`#include <ctype.h>`
`#include <locale.h>`
`#include <libwpd-stream/libwpd-stream.h>`
`#include "libmwaw_internal.hxx"`

## Namespaces

| libmwaw
| namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage

## Functions

uint8_t | libmwaw::readU8 (WPXInputStream *input)
void | libmwaw::appendUnicode (uint32_t val, WPXString &buffer)
| adds an unicode character to a string More...
std::string | libmwaw::numberingTypeToString (NumberingType type)
std::string | libmwaw::numberingValueToString (NumberingType type, int value)
std::ostream & | operator<< (std::ostream &o, MWAWColor const &c)
std::ostream & | operator<< (std::ostream &o, MWAWBorder::Style const &style)
std::ostream & | operator<< (std::ostream &o, MWAWBorder const &border)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWColor const & | c
| ) |  |

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWBorder::Style const & | style
| ) |  |

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWBorder const & | border
| ) |  |